libqt5webkit5_5.5.1+dfsg-2ubuntu1_amd64.deb


Advertisement

Description

libqt5webkit5 - Web content engine library for Qt

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libqt5webkit5_5.5.1+dfsg-2ubuntu1_amd64.deb
Package name libqt5webkit5
Package version 5.5.1+dfsg
Package release 2ubuntu1
Package architecture amd64
Package type deb
Category libs
Homepage http://trac.webkit.org/wiki/QtWebKit
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 8.68 MB
Installed size 37.08 MB
QtWebKit provides a Web browser engine that makes it easy to embed content
from the World Wide Web into your Qt application.
This package contains the QtWebKit libraries.

Alternatives

Package Version Architecture Repository
libqt5webkit5_5.6.1+dfsg-4ubuntu1~xenialoverlay1~2_i386.deb 5.6.1+dfsg i386 Kubuntu Backports
libqt5webkit5_5.6.1+dfsg-4ubuntu1~xenialoverlay1~2_amd64.deb 5.6.1+dfsg amd64 Kubuntu Backports
libqt5webkit5_5.5.1+dfsg-2ubuntu1_i386.deb 5.5.1+dfsg i386 Ubuntu Main
libqt5webkit5 - - -

Requires

Name Value
dpkg >= 1.15.6~
libc6 >= 2.14
libgl1 -
libgl1-mesa-glx -
libglib2.0-0 >= 2.37.3
libgstreamer-plugins-base1.0-0 >= 1.2.0
libgstreamer1.0-0 >= 1.0.0
libicu55 >= 55.1-1~
libjpeg8 >= 8c
libpng12-0 >= 1.2.13-4
libqt5core5a >= 5.5.1
libqt5gui5 >= 5.4.0
libqt5gui5-gles >= 5.4.0
libqt5network5 >= 5.0.2
libqt5opengl5 >= 5.0.2
libqt5opengl5-gles >= 5.0.2
libqt5printsupport5 >= 5.0.2
libqt5qml5 >= 5.1.0
libqt5quick5 >= 5.2.0
libqt5quick5-gles >= 5.2.0
libqt5sql5 >= 5.0.2
libqt5widgets5 >= 5.4.0
libsqlite3-0 >= 3.5.9
libstdc++6 >= 5.2
libx11-6 -
libxcomposite1 >= 1:0.3-1
libxml2 >= 2.7.4
libxrender1 -
libxslt1.1 >= 1.1.25
qtbase-abi-5-5-1 -
qtdeclarative-abi-5-5-0 -
zlib1g >= 1:1.2.0

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libqt5webkit5_5.5.1+dfsg-2ubuntu1_amd64.deb
Source Package qtwebkit-opensource-src

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqt5webkit5 deb package:
    # sudo apt-get install libqt5webkit5

Files

Path
/usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5
/usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5.5
/usr/lib/x86_64-linux-gnu/libQt5WebKit.so.5.5.1
/usr/lib/x86_64-linux-gnu/libQt5WebKitWidgets.so.5
/usr/lib/x86_64-linux-gnu/libQt5WebKitWidgets.so.5.5
/usr/lib/x86_64-linux-gnu/libQt5WebKitWidgets.so.5.5.1
/usr/lib/x86_64-linux-gnu/qt5/libexec/QtWebPluginProcess
/usr/lib/x86_64-linux-gnu/qt5/libexec/QtWebProcess
/usr/share/doc/libqt5webkit5/changelog.Debian.gz
/usr/share/doc/libqt5webkit5/copyright

Changelog

2015-11-30 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtwebkit-opensource-src (5.5.1+dfsg-2ubuntu1) xenial; urgency=medium
* New upstream release.
* Sync with Debian packaging, remaining changes:
- Build without WebP (in universe)
- Transitional package for 14.04 LTS -> 16.04 LTS
- Own .symbols file
2015-10-21 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtwebkit-opensource-src (5.5.1+dfsg-2) unstable; urgency=medium
* Upload to unstable.
* Update symbols files with buildds' logs.
2015-10-16 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtwebkit-opensource-src (5.5.1+dfsg-1) experimental; urgency=medium
* New upstream release.
- Bump Qt build dependencies.
* Override lintian false positives for javascript files. Long lines do not
mean minified javascript.
2015-08-24 - Dmitry Shachnev <mitya57@debian.org>
qtwebkit-opensource-src (5.5.0+dfsg-2) experimental; urgency=medium
* Add empty override_dh_auto_test target to make indep builds work.
* Remove copyright entries for generated files that are not present in the
tarball.
* Explicitly specify Makefile to use for installing docs.
2015-08-23 - Dmitry Shachnev <mitya57@debian.org>
qtwebkit-opensource-src (5.5.0+dfsg-1) experimental; urgency=medium
* New upstream release.
* Bump Qt build-dependencies to 5.5.0.
* Build with GStreamer 1.0 (closes: #762158).
* Update and simplify symbols file.
* Refresh no_gc_sections.diff.
* Minor debian/copyright updates.
2015-08-09 - Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>
qtwebkit-opensource-src (5.4.2+dfsg-3) unstable; urgency=medium
* Update symbols files with buildds' logs.
* Update symbols files with the current build log and gcc5 (Closes: #791262).
2015-06-23 - Felix Geyer <fgeyer@debian.org>
qtwebkit-opensource-src (5.4.2+dfsg-2) unstable; urgency=medium
* Team upload to unstable.
[ Lisandro Damián Nicanor Pérez Meyer ]
* Update symbols files with buildds' logs.
[ Felix Geyer ]
* Update symbols files for amd64.
2015-07-18 - Matthias Klose <doko@ubuntu.com>
qtwebkit-opensource-src (5.4.2+dfsg-1ubuntu2.1) wily; urgency=medium
* Build using ICU 55.1.
2015-07-12 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtwebkit-opensource-src (5.4.2+dfsg-1ubuntu2) wily; urgency=medium
* Rebuild for GCC5 transition.
* Update symbols.
2015-06-11 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
qtwebkit-opensource-src (5.4.2+dfsg-1ubuntu1) wily; urgency=medium
* New upstream release.
* Drop upstream patches:
- fix_unsafe_memory_load_store_on_arm.patch
- fix_gmutexlocker.patch

See Also

Package Description
libqt5widgets5_5.5.1+dfsg-16ubuntu7_amd64.deb Qt 5 widgets module
libqt5xml5_5.5.1+dfsg-16ubuntu7_amd64.deb Qt 5 XML module
libqt5xmlpatterns5-dev_5.5.1-2build1_amd64.deb Qt 5 XML patterns development files
libqt5xmlpatterns5-private-dev_5.5.1-2build1_amd64.deb Qt 5 XML patterns private development files
libqt5xmlpatterns5_5.5.1-2build1_amd64.deb Qt 5 XML patterns module
libqtcore4_4.8.7+dfsg-5ubuntu2_amd64.deb Qt 4 core module
libqtdbus4_4.8.7+dfsg-5ubuntu2_amd64.deb Qt 4 D-Bus module library
libqtgui4_4.8.7+dfsg-5ubuntu2_amd64.deb Qt 4 GUI module
libquadmath0_5.3.1-14ubuntu2_amd64.deb GCC Quad-Precision Math Library
libquorum-dev_2.3.5-3ubuntu1_amd64.deb cluster engine Quorum library development
libquorum5_2.3.5-3ubuntu1_amd64.deb cluster engine Quorum library
libquvi-dev_0.4.1-3_amd64.deb library for parsing video download links (development package)
libquvi-doc_0.4.1-3_all.deb library for parsing video download links (documentation package)
libquvi-scripts_0.4.21-2_all.deb library for parsing video download links (Lua scripts)
libquvi7_0.4.1-3_amd64.deb library for parsing video download links (runtime libraries)
Advertisement
Advertisement